import { Component, OnInit } from '@angular/core';
import {ProgressSpinnerMode} from '@angular/material/progress-spinner';
import {CardInfo} from '../interface/cardInfo';
import {TabuMiddlewareService} from '../dao/TabuMiddlewareService';
import {ActivatedRoute} from '@angular/router';
@Component({
  selector: 'app-game',
  templateUrl: './game.component.html',
  styleUrls: ['./game.component.scss']
})
export class GameComponent implements OnInit {

  sessionName = '';
  cardInfo: CardInfo = {
    cardID: -1,
    solution: '',
    tabu1: '',
    tabu2: '',
    tabu3: '',
    tabu4: '',
    tabu5: ''
  };
  points = 0;

  color = 'primary';
  mode: ProgressSpinnerMode = 'determinate';
  value = 50;
  constructor(private service: TabuMiddlewareService,
              private activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.paramMap.subscribe(params => {
      this.sessionName = String(params.get('sessionName'));
      this.service.getS2C({spielname: this.sessionName}).then(value => {
        console.log('Test1:', value);
        const status = JSON.parse(value.status);
        if (status) {
          console.log('Test2:', value);
          this.cardInfo.cardID = JSON.parse(value.cardID);
          this.cardInfo.solution = value.solution;
          this.cardInfo.tabu1 = value.tabu1;
          this.cardInfo.tabu2 = value.tabu2;
          this.cardInfo.tabu3 = value.tabu3;
          this.cardInfo.tabu4 = value.tabu4;
          this.cardInfo.tabu5 = value.tabu5;
        }
        console.log(this.cardInfo);
      }).catch(reason => console.log(reason));
    });
  }

  rightAnswer(): void{
    this.points += 1;
  }

  wrongAnswer(): void{
    this.points -= 1;
  }
}
